%!octave 
%      
%       
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 

% фунция n-мерной нормальной плотности распределения
% iS - обращённая матрица ковариации
% dS - детерминант матрицы ковариации
% mu - мат.ожидание 
% x - аргумент
function retval = p_gauss(x,iS,dS,mu)
   n = size(x,2) ;
   retval = exp(-0.5*(x-mu)*iS*(x-mu)') / sqrt( (2*pi)^n * dS  ) ;
endfunction;

% $Id: p_gauss.m,v 1.1 2013/12/18 15:26:04 mechanoid Exp $
